#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 kvitable
version:              1.0.0.0
visibility:           public
id:                   kvitable-1.0.0.0-JjYRqA7KyiYHfIUDDCejfG
key:                  kvitable-1.0.0.0-JjYRqA7KyiYHfIUDDCejfG
license:              ISC
copyright:            Kevin Quick, 2021
maintainer:           kquick@galois.com
author:               Kevin Quick
synopsis:             Key/Value Indexed Table container and formatting library
description:

    Allows creation of a table from a set of of Key+Value Indices.
    This differs from the standard '\''Map'\'' structure in that the '\''Map'\''
    simply indexes by value but the KVI table indexes by a
    heterogeneous list of keys along with their associated values.
    This effectively creates an N-dimensional table, where
    @N=Product(Count(Values[key]))@.  The table contents can be sparse.

    This library also provides the ability to format multi-dimensional
    data in a table presentation.  The table is automatically formatted
    and can be output in a number of different styles (ascii, html,
    etc.)

    Multi-dimensional data is more difficult to represent than simple
    two-dimensional data; this package provides the ability to select
    which dimensions should be represented as sub-rows and which
    dimensions should be represented as sub-columns.  See the README
    for examples

category:             Text
abi:                  496b56de6434b73d897ca993971855e3
exposed:              True
exposed-modules:
    Data.KVITable Data.KVITable.Render Data.KVITable.Render.ASCII
    Data.KVITable.Render.HTML

import-dirs:          /usr/lib/ghc-9.0.2/site-local/kvitable-1.0.0.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/kvitable-1.0.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.2/kvitable-1.0.0.0
hs-libraries:         HSkvitable-1.0.0.0-JjYRqA7KyiYHfIUDDCejfG
depends:
    base-4.15.1.0 containers-0.6.4.1
    lucid-2.11.0-8bvekOsI8BE3ZuZK5eTDaE
    microlens-0.4.12.0-1fJvmROd5lxEQCLdQ6LGgk
    prettyprinter-1.7.1-1ms861bwgMa2qawN2WN8kV text-1.2.5.0

haddock-interfaces:   /usr/share/doc/haskell-kvitable/html/kvitable.haddock
haddock-html:         /usr/share/doc/haskell-kvitable/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

